# GCP - Cloud Build Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

## Cloud Build

Per maggiori informazioni su Cloud Build consulta:

{{#ref}}
../gcp-services/gcp-cloud-build-enum.md
{{#endref}}

### `cloudbuild.builds.approve`

Con questo permesso puoi approvare l'esecuzione di un **codebuild that require approvals**.

<details>

<summary>Approva l'esecuzione di Cloud Build</summary>
```bash
# Check the REST API in https://cloud.google.com/build/docs/api/reference/rest/v1/projects.locations.builds/approve
curl -X POST \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
-H "Content-Type: application/json" \
-d '{{
"approvalResult": {
object (ApprovalResult)
}}' \
"https://cloudbuild.googleapis.com/v1/projects/<PROJECT_ID>/locations/<LOCATION>/builds/<BUILD_ID>:approve"
```
</details>

{{#include ../../../banners/hacktricks-training.md}}
